import { tmrColors, tmrTokenZIndex } from "../tmr-constants.js";
import { Draconique } from "./draconique.js";

export class DemiReve extends Draconique {

  type() { return '' }
  match(item) { return false; }
  manualMessage() { return false }
  async onActorCreateOwned(actor, item) { }

  code() { return 'demi-reve' }
  tooltip(actor) { return `Demi-rêve ${actor.name}` }
  img() { return 'icons/svg/sun.svg' }

  createSprite(pixiTMR) {
    const sprite = pixiTMR.sprite(this.code(), {
      tint: tmrColors.demireve,
      zIndex: tmrTokenZIndex.demireve,
      taille: () => pixiTMR.sizes.twoThird
    });
    pixiTMR.animate(pixiApp => pixiApp.ticker.add((delta) => sprite.rotation -= 0.01 * delta));
    return sprite;
  }
}
